Commit 03922757 authored by Arnaud Blanchard's avatar Arnaud Blanchard
Browse files

Update standard_ubuntu_install.sh

parent f87ec317
# Copyright ETIS — ENSEA, Université de Cergy-Pontoise, CNRS (2011 - 2016)
# Basic Libraries And Applications for Robotics (BLAAR)
# Copyright ETIS — ENSEA, University of Cergy-Pontoise, CNRS (2011 - 2017)
# Author: Arnaud Blanchard
#
# This software is governed by the CeCILL v2.1 license under French law and abiding by the rules of distribution of free software.
# You can use, modify and/ or redistribute the software under the terms of the CeCILL v2.1 license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
# As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
# users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.
# In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#!/usr/bin/env bash #Use your $PATH to find bash
set -o errexit #Exit on first error
set -o nounset #Error if a variable is used but nont defined
set -o pipefail #Error if a pipe fail
{ #Bracket to be sure the file is fully loaded before excuting
echo
echo "Standard blaar install"
......@@ -26,7 +34,7 @@ echo "-------------------------"
echo
echo "### Minimum packages:"
echo
sudo apt-get install git g++ cmake ninja-build || { echo "### Fail installing git or cmake libs "; exit 2; } #minimal requirement
sudo apt-get install git g++ cmake ninja-build
echo
echo "### Standards packages: "
echo
......@@ -35,17 +43,17 @@ echo
echo "Download sources"
echo "----------------"
echo
git clone https://framagit.org/blaar/blaar || { echo "### Fail downloading sources"; exit 3; }
git clone https://framagit.org/blaar/blaar
echo
cd blaar
echo
developer_tools/install_standard_ubuntu_projects.sh || { echo "### Fail downloading sources"; exit 4; }
developer_tools/clone_ubuntu_projects.sh
echo
echo "Install and check each project"
echo "-----------------------------"
echo
./install.sh -q all || { echo "### Fail installing one module"; exit 3; }
./check_all.sh || { echo "### Fail checking one module"; exit 4; }
./install.sh -q all
./check_all.sh
echo
echo "**Success installing standard blaar**"
echo
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment